kr.co.hanwha.hifive.util

## Class HFSpanUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFSpanUtil

    public class HFSpanUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 11..

### Constructor Summary

Constructors
Constructor and Description
`HFSpanUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.ArrayList<java.lang.String>` `getTagListSetColorSpan(android.content.Context context, android.text.Editable editable)` 입력시 태그 칼라 셋팅
`private static java.util.ArrayList<java.lang.String>` `getTagSplitStrings(java.lang.String text)`
`static void` `setCommentText(android.content.Context context, android.widget.TextView textView, java.lang.String message, TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)` 댓글 - 태그 액션 포함 SPAN
`static void` `setDescText(android.content.Context context, android.widget.TextView textView, java.lang.String message, TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)` 설명 - 태그 액션 포함 SPAN
`static void` `setSearchResult(android.content.Context context, android.widget.TextView textView, java.lang.String text, java.lang.String searchWord)` 검색 결과 - SPAN

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HFSpanUtil

    public HFSpanUtil()

### Method Detail

#### setSearchResult

    public static void setSearchResult(@NonNull
                                       android.content.Context context,
                                       @NonNull
                                       android.widget.TextView textView,
                                       @Nullable
                                       java.lang.String text,
                                       @Nullable
                                       java.lang.String searchWord)

검색 결과 - SPAN

Parameters:
  `context` - Context
  `textView` -
  `text` -
  `searchWord` -

#### getTagListSetColorSpan

    public static java.util.ArrayList<java.lang.String> getTagListSetColorSpan(@NonNull
                                                                               android.content.Context context,
                                                                               @NonNull
                                                                               android.text.Editable editable)

입력시 태그 칼라 셋팅

Parameters:
  `context` - Context
  `editable` -
Returns:
  태그 목록

#### setDescText

    public static void setDescText(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   android.widget.TextView textView,
                                   @Nullable
                                   java.lang.String message,
                                   @Nullable
                                   TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)

설명 - 태그 액션 포함 SPAN

Parameters:
  `context` - Context
  `textView` - TextView
  `message` - Message
  `onTaskDetailListener` -

#### setCommentText

    public static void setCommentText(@NonNull
                                      android.content.Context context,
                                      @NonNull
                                      android.widget.TextView textView,
                                      @Nullable
                                      java.lang.String message,
                                      @Nullable
                                      TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)

댓글 - 태그 액션 포함 SPAN

Parameters:
  `context` -
  `textView` -
  `message` -
  `onTaskDetailListener` -

#### getTagSplitStrings

    private static java.util.ArrayList<java.lang.String> getTagSplitStrings(@Nullable
                                                                            java.lang.String text)